{{ template "base.html" .}}
  {{ define "body"}}
  <div class="row" style="margin-top:2em;">
    <div class="col-md-6 offset-md-1">
      <!-- <p class="lead">
						<img src="/static/img/horn.png">
					</p> -->
      <h1 class="display-4">Fast. Secure. Fair.</h1>
      <p class="lead">uauto provides the fastest rides, with maximum availability, from experienced auto drivers at affordable fares.</p>
      <!-- <hr class="my-4"> -->

        <ul class="lead">
          <li> An ethical ride hailing service which does not exploit its users</li>
          <li> Fast, safe and affordable ride service to passengers </li>
          <li> A subscription based service for drivers to earn well </li>
          <li> Annonymous data is available to the public </li>
          <li> Built on a free software stack </li>
        </ul>

        <p class="lead">
    <a class="btn btn-primary btn-lg" href="/story" role="button">Learn more</a>
  </p>
    </div>

    <!-- container col 7 ends -->
    <div class="col-md-4">
      <div class="card" style="width: 100%">
        <ul class="nav nav-tabs">
          <li class="nav-item">
            <a class="nav-link active" href="#" id="registerNav" onclick="showRegister()">Register</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#" id="loginNav" onclick="showLogin()">Login</a>
          </li>
        </ul>
        <div id="register-body">
          <!-- <img class="card-img-top" src="..." alt="Card image cap"> -->
          <div class="card-body">
            <!-- <h5 class="card-title">Register</h5> -->
            <small id="emailHelp" class="form-text text-muted">We'll never share your details with anyone else.</small>

            <div class="form-group">
              <label for="registerEmail" name="Mail">Email address</label>
              <input type="email" class="form-control" aria-describedby="emailHelp" placeholder="eg. samikannu@email.com" id="registerEmail">
            </div>
            <div class="form-group">
              <label for="registerMobile" name="Mail">Mobile Number</label>
              <input type="tel" class="form-control" aria-describedby="MobileHelp" placeholder="eg. 987654321" id="registerMobile">
            </div>

            <div class="form-group">
              <label for="registerPassword" name="Password">Password</label>
              <input type="password" class="form-control" placeholder="Password" id="registerPassword">
            </div>
            <div class="form-group">
              <label for="registerConfirmPassword">Confirm password</label>
              <input type="password" class="form-control" placeholder="Confirm password" id="registerConfirmPassword">
            </div>
            <button class="btn btn-primary" onclick=registerClick()>Register</button>

          </div>
        </div>
        <div id="login-body" style="display:none">
          <!-- <img class="card-img-top" src="..." alt="Card image cap"> -->
          <div class="card-body">
            <!-- <h5 class="card-title">Register</h5> -->
            <div class="form-group">
              <label for="loginEmail" name="Mail">Email address / Mobile Number</label>
              <input type="text" class="form-control" aria-describedby="emailHelp" placeholder="eg. challam@email.com or 987654321" id="loginEmail">
            </div>

            <div class="form-group">
              <label for="loginPassword" name="Password">Password</label>
              <input type="password" class="form-control" placeholder="Password" id="loginPassword">
            </div>

            <button class="btn btn-primary" onclick=loginClick()>Login</button>
          </div>
        </div>
      </div>
    </div>

  <script>

    var appUrl = "/go/"

    function showLogin() {
      $("#register-body").hide();
      $("#registerNav").removeClass("active");
      $("#login-body").show()
      $("#loginNav").addClass("nav-link active");
      app.message = "login is being shown"
    }

    function showRegister() {
      $("#login-body").hide();
      $("#loginNav").removeClass("active");
      $("#register-body").show()
      $("#registerNav").addClass("nav-link active");
      app.message = "register is being shown"
    }

    function registerClick() {
      var registerVariable = {
        "mail": $("#registerEmail").val(),
        "password": $("#registerPassword").val(),
        "mobile": $("#registerMobile").val()
        // $("registerConfirmPassword").val()

      };
      console.log(registerVariable);
      $.ajax({
        type: "POST",
        url: "go/users/",
        contentType: "application/json",
        data: JSON.stringify(registerVariable),
        success: function() {
          console.log("yay, registered");
        },
      }); // Ajax end
    }

    function loginClick() {
      var loginVariable = {
        "mail": $("#loginEmail").val(),
        "password": $("#loginPassword").val()

      };
      console.log(loginVariable);
      $.ajax({
        type: "POST",
        url: appUrl + "/login/",
        contentType: "application/json",
        data: JSON.stringify(loginVariable),
        success: function() {
          console.log("success")
        },
      }); // Ajax end
    }
  </script>
  <script src="/static/js/jquery-3.1.1.min.js"></script>
  <!-- <script src="/static/app/app.js"></script> -->
{{ end }}
